Subject: Emacs becomes unresponsive when trying to ssh into localhost (MacOS)

From: Arteen Abrishami <[email-masked]>
Date: Sun, 21 May 2023 15:11:37 -0700

I have a Linux VM that I ssh into from my MacOS machine. From the terminal, in shell, this looks like: `ssh user@localhost -p 2222`. This works.

I also am able to use tramp to ssh into a different machine. On the terminal, this looks like `ssh machinename`. For tramp I use `M-x dired <RET> /ssh:machinename:/home/user <RET>`. 

I am trying to ssh into the localhost via emacs. I use `M-x dired <RET> /ssh:user@localhost#2222:/ <RET>`. This does not work. The message it will show is “Opening connection will for user@localhost using ssh…” forever.

Emacs will become unresponsive, and I will hear my fans very loudly. This continues for as long as I’ve let it. I have to Force Quit emacs. I am running GNU Emacs 30.0.50.

- Arteen